Bug 151969 - [new port] New Apache22 slave ports for the different MPM's to facilitate pkg_add -r users: www/apache22-event-mpm, etc.
Summary: [new port] New Apache22 slave ports for the different MPM's to facilitate pkg...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-05 17:40 UTC by Tom Judge
Modified: 2010-12-07 19:30 UTC (History)
1 user (show)

See Also:


Attachments
apache-ports.txt (2.84 KB, text/plain)
2010-11-05 17:40 UTC, Tom Judge
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Judge 2010-11-05 17:40:10 UTC
Attached in the shar file are new slave ports for apache22 that create ports for the various MPM modules similar to apache22-peruser-mpm:

	www/apache22-event-mpm
	www/apache22-worker-mpm
	www/apache22-itk-mpm

In addition the www/apache22/Makefile should have the following entries added to its CONFLICTS:

	apache-2.2*
	apache-*-2.2*
Comment 1 Edwin Groothuis freebsd_committer 2010-11-05 17:40:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2010-11-27 02:10:13 UTC
State Changed
From-To: open->feedback

Request Feedback: I think it would make sense to have these maintained 
by apache@
Comment 3 Tom Judge 2010-12-06 15:26:20 UTC
For the record.

Thats fine by me.



-- 
TJU13-ARIN
Comment 4 Philip M. Gollucci freebsd_committer 2010-12-07 01:35:19 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 5 dfilter service freebsd_committer 2010-12-07 19:24:21 UTC
pgollucci    2010-12-07 19:24:17 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/apache22-prefork-mpm Makefile pkg-descr 
  Log:
  Apache 2.2 with the prefork MPM enabled.
  
  WWW: http://httpd.apache.org/
  
  PR:             ports/151969
  Submitted by:   Tom Judge <tom at tomjudge.com>
  
  Revision  Changes    Path
  1.2766    +1 -0      ports/www/Makefile
  1.1       +18 -0     ports/www/apache22-prefork-mpm/Makefile (new)
  1.1       +3 -0      ports/www/apache22-prefork-mpm/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2010-12-07 19:24:34 UTC
pgollucci    2010-12-07 19:24:30 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/apache22-worker-mpm Makefile pkg-descr 
  Log:
  Apache 2.2 with the worker MPM enabled.
  
  WWW: http://httpd.apache.org/
  
  PR:             ports/151969
  Submitted by:   Tom Judge <tom at tomjudge.com>
  
  Revision  Changes    Path
  1.2767    +1 -0      ports/www/Makefile
  1.1       +18 -0     ports/www/apache22-worker-mpm/Makefile (new)
  1.1       +3 -0      ports/www/apache22-worker-mpm/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2010-12-07 19:24:49 UTC
pgollucci    2010-12-07 19:24:44 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/apache22-event-mpm Makefile pkg-descr 
  Log:
  Apache 2.2 with the event MPM enabled.
  
  WWW: http://httpd.apache.org/
  
  PR:             ports/151969
  Submitted by:   Tom Judge <tom at tomjudge.com>
  
  Revision  Changes    Path
  1.2768    +1 -0      ports/www/Makefile
  1.1       +18 -0     ports/www/apache22-event-mpm/Makefile (new)
  1.1       +3 -0      ports/www/apache22-event-mpm/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2010-12-07 19:25:14 UTC
pgollucci    2010-12-07 19:25:09 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/apache22-itk-mpm Makefile pkg-descr 
  Log:
  Apache 2.2 with the itk MPM enabled.
  
  WWW: http://httpd.apache.org/
  WWW: http://mpm-itk.sesse.net/
  
  PR:             ports/151969
  Submitted by:   Tom Judge <tom at tomjudge.com>
  
  Revision  Changes    Path
  1.2769    +1 -0      ports/www/Makefile
  1.1       +18 -0     ports/www/apache22-itk-mpm/Makefile (new)
  1.1       +4 -0      ports/www/apache22-itk-mpm/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Philip M. Gollucci freebsd_committer 2010-12-07 19:27:24 UTC
State Changed
From-To: open->closed

Committed, Thanks!